[project]
name = "task-templates-doc"
version = "0.0.0"
description = "Documentation of Task templates"
authors = [
    { name = "FX Soubirou", email = "soubirou@yahoo.fr" }
]
license = { text = "MIT" }
readme = "README.md"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent",
]
dependencies = [
]
requires-python = ">= 3.10"

[project.urls]
Homepage = "https://gitlab.com/op_so/task/task-templates-doc/"
Documentation = "https://op_so.gitlab.io/task/task-templates-doc/"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.rye]
managed = true
dev-dependencies = [
    "mkdocs-material>=9.5.21",
    "task2md>=1.1.2"
]

[tool.rye.scripts]
"serve" = "mkdocs serve"
"publish" = "mkdocs build --site-dir public"

[tool.hatch.metadata]
allow-direct-references = true

[tool.hatch.build.targets.wheel]
packages = ["src/task-templates-doc"]
